# Set-RASInvitationEmailSettings.md

## NAME

Set-RASInvitationEmailSettings

## SYNOPSIS

Modifies Parallels RAS invitation settings.

## SYNTAX

\*\*Set-RASInvitationEmailSettings \[-[AuthType](#AuthType) {Credentials | SSO | SmartCard | Web | WebCredentials}] \[-[ConnMode](#ConnMode) {Gateway | Direct | GatewaySSL | DirectSSL}] \[[DefaultEmailContent](#defaultemailcontent-string) *(SwitchParameter)*] \[[Email](#email-string) *(string)*] \[[PubGatewayIP](#pubgatewayip-string) *(string)*] \[[SSO](#sso-string) *(string)*] \[[SSOEnabled](#ssoenabled-string) *(bool)*] \[-[TargetDevice](#TargetDevice) *(*[*InviteTargetDev\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/invitetargetdev.md)*)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the Parallels RAS invitation configuration settings.

## PARAMETERS

## Email (string)

The email content to be sent in the invitation.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefaultEmailContent (SwitchParameter)

If this parameter is included, the body content will be replaced with the default body content.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PubGatewayIP (string)

Public Secure Gateway IP (IP:Gateway Port/SSL Port).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SSO (string)

Third party credentials provider GUID (SSO).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetDevice

([InviteTargetDev\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/invitetargetdev.md)) Target Device List.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SSOEnabled (bool)

Force to wrap third party SSO component.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ConnMode ([InviteConnMode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/inviteconnmode.md))

Connection Mode.

Possible values: Gateway, Direct, GatewaySSL, DirectSSL

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AuthType ([InviteAuthType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/inviteauthtype.md))

Authentication Type.

Possible values: Credentials, SSO, SmartCard, Web, WebCredentials

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASInvitationEmailSettings -EnableSSO $true -SSO 6e458d3e-9b85-4e57-aa3c-c3461c1c2146

Enables the SSO for the Parallels RAS Invitations.

## RELATED LINKS

* [Get-RASInvitationEmailSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasinvitationemailsettings.md)
* [Send-RASInvitationEmail](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/send-rasinvitationemail.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasinvitationemailsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
